// ENTITY_3DS Class
// (c) by Heinrich Tillack 2002 (http://a128.x15.org)
// under GPL or new BSD license
// v 0 (21.10.02): initial release
#ifndef ENTITY_3DSH
#define ENTITY_3DSH



#include "model3d.h"
#include "object.h"


class ENTITY_3DS : public OBJECT
{
public:


    ENTITY_3DS();
    ~ENTITY_3DS();


    GLvoid SetModel(  t3DModel *tmodel,char *modelname);
    GLvoid Draw();

    //free the textures now!
    GLvoid FreeTextures();

private:

    char	 *name; //name of entity model
    t3DModel *model;

};



#endif

