// ENTITY_MD2 Class    (c) by Heinrich Tillack 2002
// (c) by Heinrich Tillack 2002 (http://a128.x15.org)
// under GPL or new BSD license
// v 0 (21.10.02): initial release


#ifndef ENTITY_MD2H
#define ENTITY_MD2H


extern "C" {
#include "md2.h"
}
#include "object.h"
#include "sphere.hpp"


class ENTITY_MD2 : public OBJECT
{
public:
    ENTITY_MD2();
    ~ENTITY_MD2();

    GLvoid Load(char *model_name, char *skin_name,float scale=1);

    GLvoid Draw();

    GLvoid  SetBoundingSphere();


    struct md2_model_node *GetModel();

   	SPHERE BoundingSphere;

    GLint ClipState;

   float BoundingBox[5]; //unused IMO

private:

    struct md2_model_node *model;
    int tex_id;


};



#endif

